darcs-2.8.4: a distributed, interactive, smart revision control system

Safe Haskell | None

Encoding

Synopsis

- encode :: String -> IO ByteString
- decode :: ByteString -> IO String

# Documentation

encode :: String -> IO ByteString

Encode a Unicode `String` into a `ByteString` suitable for the current console.

decode :: ByteString -> IO String

Convert a `ByteString` from the console's encoding into a Unicode `String`.